diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -42515,16 +42585,16 @@ module Tables = struct
                 let attrs2 =
                   let _1 = _1_inlined4 in
                   
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 42521 "parsing/parser.ml"
+# 42591 "parsing/parser.ml"
                   
                 in
                 let _endpos_attrs2_ = _endpos__1_inlined4_ in
                 let cs = 
-# 1040 "parsing/parser.mly"
+# 1048 "parsing/parser.mly"
     ( List.rev xs )
-# 42528 "parsing/parser.ml"
+# 42598 "parsing/parser.ml"
                  in
                 let tid =
                   let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined3_, _startpos__1_inlined3_, _1_inlined3) in
@@ -42532,9 +42602,9 @@ module Tables = struct
                   let _symbolstartpos = _startpos__1_ in
                   let _sloc = (_symbolstartpos, _endpos) in
                   
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 42538 "parsing/parser.ml"
+# 42608 "parsing/parser.ml"
                   
                 in
                 let _4 =
@@ -42543,41 +42613,41 @@ module Tables = struct
                   let _startpos = _startpos__1_ in
                   let _loc = (_startpos, _endpos) in
                   
-# 3591 "parsing/parser.mly"
+# 3619 "parsing/parser.mly"
                 ( not_expecting _loc "nonrec flag" )
-# 42549 "parsing/parser.ml"
+# 42619 "parsing/parser.ml"
                   
                 in
                 let attrs1 =
                   let _1 = _1_inlined1 in
                   
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 42557 "parsing/parser.ml"
+# 42627 "parsing/parser.ml"
                   
                 in
                 let _endpos = _endpos_attrs2_ in
                 let _symbolstartpos = _startpos__1_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 3095 "parsing/parser.mly"
+# 3115 "parsing/parser.mly"
     ( let docs = symbol_docs _sloc in
       let attrs = attrs1 @ attrs2 in
       Te.mk tid cs ~params ~priv ~attrs ~docs,
       ext )
-# 42569 "parsing/parser.ml"
+# 42639 "parsing/parser.ml"
                 
               in
               
-# 3078 "parsing/parser.mly"
+# 3098 "parsing/parser.mly"
     ( _1 )
-# 42575 "parsing/parser.ml"
+# 42645 "parsing/parser.ml"
               
             in
             
-# 1339 "parsing/parser.mly"
+# 1347 "parsing/parser.mly"
         ( pstr_typext _1 )
-# 42581 "parsing/parser.ml"
+# 42651 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined4_ in
@@ -42585,15 +42655,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42591 "parsing/parser.ml"
+# 42661 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42597 "parsing/parser.ml"
+# 42667 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42617,23 +42687,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.structure_item) = let _1 =
           let _1 = 
-# 1341 "parsing/parser.mly"
+# 1349 "parsing/parser.mly"
         ( pstr_exception _1 )
-# 42623 "parsing/parser.ml"
+# 42693 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42631 "parsing/parser.ml"
+# 42701 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42637 "parsing/parser.ml"
+# 42707 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42696,9 +42766,9 @@ module Tables = struct
               let attrs2 =
                 let _1 = _1_inlined3 in
                 
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 42702 "parsing/parser.ml"
+# 42772 "parsing/parser.ml"
                 
               in
               let _endpos_attrs2_ = _endpos__1_inlined3_ in
@@ -42708,36 +42778,36 @@ module Tables = struct
                 let _symbolstartpos = _startpos__1_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 42714 "parsing/parser.ml"
+# 42784 "parsing/parser.ml"
                 
               in
               let attrs1 =
                 let _1 = _1_inlined1 in
                 
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 42722 "parsing/parser.ml"
+# 42792 "parsing/parser.ml"
                 
               in
               let _endpos = _endpos_attrs2_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 1367 "parsing/parser.mly"
+# 1375 "parsing/parser.mly"
     ( let docs = symbol_docs _sloc in
       let loc = make_loc _sloc in
       let attrs = attrs1 @ attrs2 in
       let body = Mb.mk name body ~attrs ~loc ~docs in
       Pstr_module body, ext )
-# 42735 "parsing/parser.ml"
+# 42805 "parsing/parser.ml"
               
             in
             
-# 1343 "parsing/parser.mly"
+# 1351 "parsing/parser.mly"
         ( _1 )
-# 42741 "parsing/parser.ml"
+# 42811 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined3_ in
@@ -42745,15 +42815,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42751 "parsing/parser.ml"
+# 42821 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42757 "parsing/parser.ml"
+# 42827 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42832,9 +42902,9 @@ module Tables = struct
                   let attrs2 =
                     let _1 = _1_inlined3 in
                     
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 42838 "parsing/parser.ml"
+# 42908 "parsing/parser.ml"
                     
                   in
                   let _endpos_attrs2_ = _endpos__1_inlined3_ in
@@ -42844,24 +42914,24 @@ module Tables = struct
                     let _symbolstartpos = _startpos__1_ in
                     let _sloc = (_symbolstartpos, _endpos) in
                     
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 42850 "parsing/parser.ml"
+# 42920 "parsing/parser.ml"
                     
                   in
                   let attrs1 =
                     let _1 = _1_inlined1 in
                     
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 42858 "parsing/parser.ml"
+# 42928 "parsing/parser.ml"
                     
                   in
                   let _endpos = _endpos_attrs2_ in
                   let _symbolstartpos = _startpos__1_ in
                   let _sloc = (_symbolstartpos, _endpos) in
                   
-# 1402 "parsing/parser.mly"
+# 1410 "parsing/parser.mly"
   (
     let loc = make_loc _sloc in
     let attrs = attrs1 @ attrs2 in
@@ -42869,25 +42939,25 @@ module Tables = struct
     ext,
     Mb.mk name body ~attrs ~loc ~docs
   )
-# 42873 "parsing/parser.ml"
+# 42943 "parsing/parser.ml"
                   
                 in
                 
-# 1048 "parsing/parser.mly"
+# 1056 "parsing/parser.mly"
     ( let (x, b) = a in x, b :: bs )
-# 42879 "parsing/parser.ml"
+# 42949 "parsing/parser.ml"
                 
               in
               
-# 1390 "parsing/parser.mly"
+# 1398 "parsing/parser.mly"
     ( _1 )
-# 42885 "parsing/parser.ml"
+# 42955 "parsing/parser.ml"
               
             in
             
-# 1345 "parsing/parser.mly"
+# 1353 "parsing/parser.mly"
         ( pstr_recmodule _1 )
-# 42891 "parsing/parser.ml"
+# 42961 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos_bs_ in
@@ -42895,15 +42965,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42901 "parsing/parser.ml"
+# 42971 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42907 "parsing/parser.ml"
+# 42977 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42927,23 +42997,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.structure_item) = let _1 =
           let _1 = 
-# 1347 "parsing/parser.mly"
+# 1355 "parsing/parser.mly"
         ( let (body, ext) = _1 in (Pstr_modtype body, ext) )
-# 42933 "parsing/parser.ml"
+# 43003 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42941 "parsing/parser.ml"
+# 43011 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42947 "parsing/parser.ml"
+# 43017 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42967,23 +43037,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.structure_item) = let _1 =
           let _1 = 
-# 1349 "parsing/parser.mly"
+# 1357 "parsing/parser.mly"
         ( let (body, ext) = _1 in (Pstr_open body, ext) )
-# 42973 "parsing/parser.ml"
+# 43043 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42981 "parsing/parser.ml"
+# 43051 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42987 "parsing/parser.ml"
+# 43057 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43053,9 +43123,9 @@ module Tables = struct
         let _1_inlined3 : (Parsetree.attributes) = Obj.magic _1_inlined3 in
         let body : (Parsetree.class_expr) = Obj.magic body in
         let _1_inlined2 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 43059 "parsing/parser.ml"
+# 43129 "parsing/parser.ml"
         ) = Obj.magic _1_inlined2 in
         let params : ((Parsetree.core_type * (Asttypes.variance * Asttypes.injectivity)) list) = Obj.magic params in
         let virt : (Asttypes.virtual_flag) = Obj.magic virt in
@@ -43073,9 +43143,9 @@ module Tables = struct
                   let attrs2 =
                     let _1 = _1_inlined3 in
                     
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 43079 "parsing/parser.ml"
+# 43149 "parsing/parser.ml"
                     
                   in
                   let _endpos_attrs2_ = _endpos__1_inlined3_ in
@@ -43085,24 +43155,24 @@ module Tables = struct
                     let _symbolstartpos = _startpos__1_ in
                     let _sloc = (_symbolstartpos, _endpos) in
                     
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 43091 "parsing/parser.ml"
+# 43161 "parsing/parser.ml"
                     
                   in
                   let attrs1 =
                     let _1 = _1_inlined1 in
                     
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 43099 "parsing/parser.ml"
+# 43169 "parsing/parser.ml"
                     
                   in
                   let _endpos = _endpos_attrs2_ in
                   let _symbolstartpos = _startpos__1_ in
                   let _sloc = (_symbolstartpos, _endpos) in
                   
-# 1721 "parsing/parser.mly"
+# 1729 "parsing/parser.mly"
   (
     let attrs = attrs1 @ attrs2 in
     let loc = make_loc _sloc in
@@ -43110,25 +43180,25 @@ module Tables = struct
     ext,
     Ci.mk id body ~virt ~params ~attrs ~loc ~docs
   )
-# 43114 "parsing/parser.ml"
+# 43184 "parsing/parser.ml"
                   
                 in
                 
-# 1048 "parsing/parser.mly"
+# 1056 "parsing/parser.mly"
     ( let (x, b) = a in x, b :: bs )
-# 43120 "parsing/parser.ml"
+# 43190 "parsing/parser.ml"
                 
               in
               
-# 1710 "parsing/parser.mly"
+# 1718 "parsing/parser.mly"
     ( _1 )
-# 43126 "parsing/parser.ml"
+# 43196 "parsing/parser.ml"
               
             in
             
-# 1351 "parsing/parser.mly"
+# 1359 "parsing/parser.mly"
         ( let (ext, l) = _1 in (Pstr_class l, ext) )
-# 43132 "parsing/parser.ml"
+# 43202 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos_bs_ in
@@ -43136,15 +43206,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 43142 "parsing/parser.ml"
+# 43212 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 43148 "parsing/parser.ml"
+# 43218 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43168,23 +43238,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.structure_item) = let _1 =
           let _1 = 
-# 1353 "parsing/parser.mly"
+# 1361 "parsing/parser.mly"
         ( let (ext, l) = _1 in (Pstr_class_type l, ext) )
-# 43174 "parsing/parser.ml"
+# 43244 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 43182 "parsing/parser.ml"
+# 43252 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 43188 "parsing/parser.ml"
+# 43258 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43240,38 +43310,38 @@ module Tables = struct
               let attrs2 =
                 let _1 = _1_inlined2 in
                 
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 43246 "parsing/parser.ml"
+# 43316 "parsing/parser.ml"
                 
               in
               let _endpos_attrs2_ = _endpos__1_inlined2_ in
               let attrs1 =
                 let _1 = _1_inlined1 in
                 
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 43255 "parsing/parser.ml"
+# 43325 "parsing/parser.ml"
                 
               in
               let _endpos = _endpos_attrs2_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 1439 "parsing/parser.mly"
+# 1447 "parsing/parser.mly"
   (
     let attrs = attrs1 @ attrs2 in
     let loc = make_loc _sloc in
     let docs = symbol_docs _sloc in
     Incl.mk thing ~attrs ~loc ~docs, ext
   )
-# 43269 "parsing/parser.ml"
+# 43339 "parsing/parser.ml"
               
             in
             
-# 1355 "parsing/parser.mly"
+# 1363 "parsing/parser.mly"
         ( pstr_include _1 )
-# 43275 "parsing/parser.ml"
+# 43345 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined2_ in
@@ -43279,15 +43349,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 43285 "parsing/parser.ml"
+# 43355 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 43291 "parsing/parser.ml"
+# 43361 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43310,9 +43380,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3653 "parsing/parser.mly"
+# 3681 "parsing/parser.mly"
                                                 ( "-" )
-# 43316 "parsing/parser.ml"
+# 43386 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43335,9 +43405,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3654 "parsing/parser.mly"
+# 3682 "parsing/parser.mly"
                                                 ( "-." )
-# 43341 "parsing/parser.ml"
+# 43411 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43390,9 +43460,9 @@ module Tables = struct
         let _v : (Parsetree.row_field) = let _5 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 43396 "parsing/parser.ml"
+# 43466 "parsing/parser.ml"
           
         in
         let _endpos__5_ = _endpos__1_inlined1_ in
@@ -43401,18 +43471,18 @@ module Tables = struct
             let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 43405 "parsing/parser.ml"
+# 43475 "parsing/parser.ml"
              in
             
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 43410 "parsing/parser.ml"
+# 43480 "parsing/parser.ml"
             
           in
           
-# 3365 "parsing/parser.mly"
+# 3385 "parsing/parser.mly"
     ( _1 )
-# 43416 "parsing/parser.ml"
+# 43486 "parsing/parser.ml"
           
         in
         let _1 =
@@ -43420,20 +43490,20 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 43426 "parsing/parser.ml"
+# 43496 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3351 "parsing/parser.mly"
+# 3371 "parsing/parser.mly"
       ( let info = symbol_info _endpos in
         let attrs = add_info_attrs info _5 in
         Rf.tag ~loc:(make_loc _sloc) ~attrs _1 _3 _4 )
-# 43437 "parsing/parser.ml"
+# 43507 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43465,9 +43535,9 @@ module Tables = struct
         let _v : (Parsetree.row_field) = let _2 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 43471 "parsing/parser.ml"
+# 43541 "parsing/parser.ml"
           
         in
         let _endpos__2_ = _endpos__1_inlined1_ in
@@ -43476,20 +43546,20 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 43482 "parsing/parser.ml"
+# 43552 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__2_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3355 "parsing/parser.mly"
+# 3375 "parsing/parser.mly"
       ( let info = symbol_info _endpos in
         let attrs = add_info_attrs info _2 in
         Rf.tag ~loc:(make_loc _sloc) ~attrs _1 true [] )
-# 43493 "parsing/parser.ml"
+# 43563 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43521,7 +43591,7 @@ module Tables = struct
         let _v : (Parsetree.toplevel_phrase) = let arg = 
 # 124 "<standard.mly>"
     ( None )
-# 43525 "parsing/parser.ml"
+# 43595 "parsing/parser.ml"
          in
         let _endpos_arg_ = _endpos__1_inlined1_ in
         let dir =
@@ -43530,18 +43600,18 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 43536 "parsing/parser.ml"
+# 43606 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_arg_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3553 "parsing/parser.mly"
+# 3581 "parsing/parser.mly"
     ( mk_directive ~loc:_sloc dir arg )
-# 43545 "parsing/parser.ml"
+# 43615 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43572,9 +43642,9 @@ module Tables = struct
           };
         } = _menhir_stack in
         let _1_inlined2 : (
-# 689 "parsing/parser.mly"
+# 697 "parsing/parser.mly"
        (string * Location.t * string option)
-# 43578 "parsing/parser.ml"
+# 43648 "parsing/parser.ml"
         ) = Obj.magic _1_inlined2 in
         let _1_inlined1 : (Asttypes.label) = Obj.magic _1_inlined1 in
         let _1 : unit = Obj.magic _1 in
@@ -43585,23 +43655,23 @@ module Tables = struct
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
           let x =
             let _1 = 
-# 3557 "parsing/parser.mly"
+# 3585 "parsing/parser.mly"
                   ( let (s, _, _) = _1 in Pdir_string s )
-# 43591 "parsing/parser.ml"
+# 43661 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 878 "parsing/parser.mly"
+# 886 "parsing/parser.mly"
     ( mk_directive_arg ~loc:_sloc _1 )
-# 43599 "parsing/parser.ml"
+# 43669 "parsing/parser.ml"
             
           in
           
 # 126 "<standard.mly>"
     ( Some x )
-# 43605 "parsing/parser.ml"
+# 43675 "parsing/parser.ml"
           
         in
         let _endpos_arg_ = _endpos__1_inlined2_ in
@@ -43611,18 +43681,18 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 43617 "parsing/parser.ml"
+# 43687 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_arg_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3553 "parsing/parser.mly"
+# 3581 "parsing/parser.mly"
     ( mk_directive ~loc:_sloc dir arg )
-# 43626 "parsing/parser.ml"
+# 43696 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43653,9 +43723,9 @@ module Tables = struct
           };
         } = _menhir_stack in
         let _1_inlined2 : (
-# 637 "parsing/parser.mly"
+# 645 "parsing/parser.mly"
        (string * char option)
-# 43659 "parsing/parser.ml"
+# 43729 "parsing/parser.ml"
         ) = Obj.magic _1_inlined2 in
         let _1_inlined1 : (Asttypes.label) = Obj.magic _1_inlined1 in
         let _1 : unit = Obj.magic _1 in
@@ -43666,23 +43736,23 @@ module Tables = struct
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
           let x =
             let _1 = 
-# 3558 "parsing/parser.mly"
+# 3586 "parsing/parser.mly"
                   ( let (n, m) = _1 in Pdir_int (n ,m) )
-# 43672 "parsing/parser.ml"
+# 43742 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 878 "parsing/parser.mly"
+# 886 "parsing/parser.mly"
     ( mk_directive_arg ~loc:_sloc _1 )
-# 43680 "parsing/parser.ml"
+# 43750 "parsing/parser.ml"
             
           in
           
 # 126 "<standard.mly>"
     ( Some x )
-# 43686 "parsing/parser.ml"
+# 43756 "parsing/parser.ml"
           
         in
         let _endpos_arg_ = _endpos__1_inlined2_ in
@@ -43692,18 +43762,18 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 43698 "parsing/parser.ml"
+# 43768 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_arg_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3553 "parsing/parser.mly"
+# 3581 "parsing/parser.mly"
     ( mk_directive ~loc:_sloc dir arg )
-# 43707 "parsing/parser.ml"
+# 43777 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43743,23 +43813,23 @@ module Tables = struct
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
           let x =
             let _1 = 
-# 3559 "parsing/parser.mly"
+# 3587 "parsing/parser.mly"
                   ( Pdir_ident _1 )
-# 43749 "parsing/parser.ml"
+# 43819 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 878 "parsing/parser.mly"
+# 886 "parsing/parser.mly"
     ( mk_directive_arg ~loc:_sloc _1 )
-# 43757 "parsing/parser.ml"
+# 43827 "parsing/parser.ml"
             
           in
           
 # 126 "<standard.mly>"
     ( Some x )
-# 43763 "parsing/parser.ml"
+# 43833 "parsing/parser.ml"
           
         in
         let _endpos_arg_ = _endpos__1_inlined2_ in
@@ -43769,18 +43839,18 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 43775 "parsing/parser.ml"
+# 43845 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_arg_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3553 "parsing/parser.mly"
+# 3581 "parsing/parser.mly"
     ( mk_directive ~loc:_sloc dir arg )
-# 43784 "parsing/parser.ml"
+# 43854 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43820,23 +43890,23 @@ module Tables = struct
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
           let x =
             let _1 = 
-# 3560 "parsing/parser.mly"
+# 3588 "parsing/parser.mly"
                   ( Pdir_ident _1 )
-# 43826 "parsing/parser.ml"
+# 43896 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 878 "parsing/parser.mly"
+# 886 "parsing/parser.mly"
     ( mk_directive_arg ~loc:_sloc _1 )
-# 43834 "parsing/parser.ml"
+# 43904 "parsing/parser.ml"
             
           in
           
 # 126 "<standard.mly>"
     ( Some x )
-# 43840 "parsing/parser.ml"
+# 43910 "parsing/parser.ml"
           
         in
         let _endpos_arg_ = _endpos__1_inlined2_ in
@@ -43846,18 +43916,18 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 43852 "parsing/parser.ml"
+# 43922 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_arg_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3553 "parsing/parser.mly"
+# 3581 "parsing/parser.mly"
     ( mk_directive ~loc:_sloc dir arg )
-# 43861 "parsing/parser.ml"
+# 43931 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43897,23 +43967,23 @@ module Tables = struct
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
           let x =
             let _1 = 
-# 3561 "parsing/parser.mly"
+# 3589 "parsing/parser.mly"
                   ( Pdir_bool false )
-# 43903 "parsing/parser.ml"
+# 43973 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 878 "parsing/parser.mly"
+# 886 "parsing/parser.mly"
     ( mk_directive_arg ~loc:_sloc _1 )
-# 43911 "parsing/parser.ml"
+# 43981 "parsing/parser.ml"
             
           in
           
 # 126 "<standard.mly>"
     ( Some x )
-# 43917 "parsing/parser.ml"
+# 43987 "parsing/parser.ml"
           
         in
         let _endpos_arg_ = _endpos__1_inlined2_ in
@@ -43923,18 +43993,18 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 43929 "parsing/parser.ml"
+# 43999 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_arg_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3553 "parsing/parser.mly"
+# 3581 "parsing/parser.mly"
     ( mk_directive ~loc:_sloc dir arg )
-# 43938 "parsing/parser.ml"
+# 44008 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -43974,23 +44044,23 @@ module Tables = struct
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
           let x =
             let _1 = 
-# 3562 "parsing/parser.mly"
+# 3590 "parsing/parser.mly"
                   ( Pdir_bool true )
-# 43980 "parsing/parser.ml"
+# 44050 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 878 "parsing/parser.mly"
+# 886 "parsing/parser.mly"
     ( mk_directive_arg ~loc:_sloc _1 )
-# 43988 "parsing/parser.ml"
+# 44058 "parsing/parser.ml"
             
           in
           
 # 126 "<standard.mly>"
     ( Some x )
-# 43994 "parsing/parser.ml"
+# 44064 "parsing/parser.ml"
           
         in
         let _endpos_arg_ = _endpos__1_inlined2_ in
